Package org.eclipse.cdt.utils.elf.parser

## Class GNUElfParser

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.core.AbstractCExtension
    - - org.eclipse.cdt.utils.elf.parser.ElfParser
      - - org.eclipse.cdt.utils.elf.parser.GNUElfParser

All Implemented Interfaces:
  `IBinaryParser`, `ICExtension`, `org.eclipse.core.runtime.IAdaptable`

    public class GNUElfParser
    extends ElfParser

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.IBinaryParser

`IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, IBinaryParser.ISymbol`

### Constructor Summary

Constructors
`GNUElfParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IBinaryParser.IBinaryArchive` `createBinaryArchive​(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryObject` `createBinaryCore​(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryExecutable` `createBinaryExecutable​(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryObject` `createBinaryObject​(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryShared` `createBinaryShared​(org.eclipse.core.runtime.IPath path)`
`protected IGnuToolFactory` `createGNUToolFactory()`
`<T> T` `getAdapter​(Class<T> adapter)`
`String` `getFormat()` Returns the name of the Format.

### Methods inherited from class org.eclipse.cdt.utils.elf.parser.ElfParser

`getBinary, getBinary, getHintBufferSize, isBinary`

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GNUElfParser

    public GNUElfParser()

### Method Detail

#### getFormat

    public String getFormat()

Description copied from interface: `IBinaryParser`
Returns the name of the Format.

Specified by:
  `getFormat` in interface `IBinaryParser`
Overrides:
  `getFormat` in class `ElfParser`

#### createBinaryCore

    protected IBinaryParser.IBinaryObject createBinaryCore​(org.eclipse.core.runtime.IPath path)
                                                    throws IOException

Overrides:
  `createBinaryCore` in class `ElfParser`
Throws:
  `IOException`

#### createBinaryExecutable

    protected IBinaryParser.IBinaryExecutable createBinaryExecutable​(org.eclipse.core.runtime.IPath path)
                                                              throws IOException

Overrides:
  `createBinaryExecutable` in class `ElfParser`
Throws:
  `IOException`

#### createBinaryObject

    protected IBinaryParser.IBinaryObject createBinaryObject​(org.eclipse.core.runtime.IPath path)
                                                      throws IOException

Overrides:
  `createBinaryObject` in class `ElfParser`
Throws:
  `IOException`

#### createBinaryShared

    protected IBinaryParser.IBinaryShared createBinaryShared​(org.eclipse.core.runtime.IPath path)
                                                      throws IOException

Overrides:
  `createBinaryShared` in class `ElfParser`
Throws:
  `IOException`

#### createBinaryArchive

    protected IBinaryParser.IBinaryArchive createBinaryArchive​(org.eclipse.core.runtime.IPath path)
                                                        throws IOException

Overrides:
  `createBinaryArchive` in class `ElfParser`
Throws:
  `IOException`

#### createGNUToolFactory

    protected IGnuToolFactory createGNUToolFactory()

#### getAdapter

    public <T> T getAdapter​(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`